Create discounts
curl --request POST \
--url https://api.yume.cloud/v1/crm/requests/discounts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request": 123,
"request_inventory": 123,
"discount": 123,
"discount_amount": "0.00",
"scheduled": true,
"scheduled_amount": "<string>",
"start_at": "2023-12-25",
"end_at": "2023-12-25"
}
'import requests
url = "https://api.yume.cloud/v1/crm/requests/discounts/"
payload = {
"request": 123,
"request_inventory": 123,
"discount": 123,
"discount_amount": "0.00",
"scheduled": True,
"scheduled_amount": "<string>",
"start_at": "2023-12-25",
"end_at": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request: 123,
request_inventory: 123,
discount: 123,
discount_amount: '0.00',
scheduled: true,
scheduled_amount: '<string>',
start_at: '2023-12-25',
end_at: '2023-12-25'
})
};
fetch('https://api.yume.cloud/v1/crm/requests/discounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"created_by": 123,
"comments": [
{
"id": 123,
"body": "<string>",
"user": 123,
"content_type": "<string>",
"object_id": 4611686018427388000,
"links": [
{
"content_type": "<string>",
"content_type_label": "<string>",
"object_id": 4611686018427388000,
"label": "<string>",
"url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"context": null
}
],
"request_inventory": 123,
"type": 0,
"discount": 123,
"discount_amount": "0.00",
"scheduled": true,
"scheduled_amount": "<string>",
"start_at": "2023-12-25",
"end_at": "2023-12-25"
}discounts
Create discounts
POST
/
v1
/
crm
/
requests
/
discounts
/
Create discounts
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
0- Из справочника1- Разовая
Доступные опции:
0, 1 Требуемый диапазон:
-32768 <= x <= 32767Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Ответ
201 - application/json
Show child attributes
Show child attributes
0- Из справочника1- Разовая
Доступные опции:
0, 1 Требуемый диапазон:
-32768 <= x <= 32767Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$